Subject: RE: draft-chisholm-disman-active-alarm-01.txt

From: "Sharon Chisholm" <[email-masked]>
Date: Tue, 28 Nov 2000 10:07:52 -0500

hi

Comments in-line.

Sharon

>-----Original Message-----
>From: Ayers, Mike [mailto:[email-masked]]
>
>> From: Sharon Chisholm [mailto:[email-masked]]
>>
>> These seem to apply to only a small subset of alarms.  Wouldn't it
>> then be better to go with the option you also suggested of just
>> having them as varbinds in the trap, and therefore present in the
>> alarmActiveVariablesTable?
>
>	Actually, I think they apply to about half the alarms, since my copy
>of X.736 states that they are mandatory for all security alarms.  Does
yours
>read the same (mine is not a final copy, unfortunately)?

That is how mine reads, but I would think that security alarms would not be
that big of a percentage of the alarms a system has.  Do you really see it
being as much as half?  I was thinking closer to 5%.
>
>	I don't object to these objects being in the
>alarmActiveVariablesTable, but I do think that there should be objects
>defined specifically for them somewhere in the Active Alarm MIB so that
they
>can be identified as such.
Maybe, I think this depends on the percentage of traps that would actually
use these parameters.

>
>> Also, are there any security implications of making this available in
>> a MIB?  I know a lot of systems have a way of turning off the SNMP
>> authentication failure trap for this reason.
>
>	I'll look into this, but I suspect that there would not be a
>problem, assuming the use of SNMPv3.  However, now that you mention it,
>section 9 might wish to mention that if unauthenticated or unencrypted
>access to the MIB is permitted, intruders may be able to discover current
>weak points in the system, since such MIBs are often used to monitor
>computer networks.
>
Good point.

>> PS.  I send explicitly as plain text, it just arrive as html. Network
>>      Gremlins.
>>
>
>	Some network admin is doing us a "favor", isn't that sweet?
>
I'm trying something new.  Let me know if it's better or worse.